Skip to main content
GET
/
refund
/
{merchant_code}
/
{merchant_operation_number}
Consultar devolucion unitaria
curl --request GET \
  --url https://api.preprod.alignet.io/refund/{merchant_code}/{merchant_operation_number} \
  --header 'ALG-API-VERSION: <alg-api-version>' \
  --header 'Authorization: <authorization>'
{
  "success": "true",
  "merchant_code": "41bb301e-3c37-4332-accb-ed5ec19081e4",
  "operations_count": "1",
  "operations": [
    {
      "refund_id": "922178aa-ce4c-4c5f-8190-82fa7e009425",
      "state": "REGISTERED",
      "refund_reason": "Solicitud recibida y validada",
      "type": "TOTAL",
      "merchant_operation_number": "239766",
      "transaction_id": "bko66gpi8czns4tcde93q96vd",
      "refund_amount": "1050",
      "transaction_amount": "1050",
      "currency": "604",
      "payment_method": {
        "name": "CARD",
        "brand": "VISA",
        "masked_pan": "447411******2240"
      },
      "additional_fields": {
        "canal": "WEB",
        "reason": "cliente no reconocio el consumo",
        "description": "solicitud por desconocimiento"
      },
      "lifecycle": [
        {
          "state": "REGISTERED",
          "date": {
            "utc_time": "2025-05-26T06:06:45",
            "unix_time": 1748239605
          }
        }
      ]
    }
  ],
  "meta": {
    "status": {
      "code": "00",
      "message_ilgn": [
        {
          "locale": "es_PE",
          "value": "Se proceso correctamente la peticion"
        }
      ]
    }
  }
}

Headers

Authorization
string
default:Bearer {{access_token}}
required

Token Bearer obtenido desde autenticacion.

ALG-API-VERSION
string
default:1709847567
required

Version del API a usar.

payment-facilitator-code
string

Identificador del Facilitador de Pago.

Path Parameters

merchant_code
string
required

Identificador del comercio.

merchant_operation_number
string
required

Numero de operacion registrado por el comercio.

Response

Consulta unitaria de devolucion obtenida correctamente.

success
enum<string>
required
Available options:
true,
false
Example:

"true"

merchant_code
string
required
Example:

"41bb301e-3c37-4332-accb-ed5ec19081e4"

operations_count
string
required
Example:

"1"

operations
object[]
required
meta
object
required